package com.heyu.api.data.service.system;
/**
* <p>
* 系统信息 服务类
* </p>
*
* @author quyixiao
* @since 2025-03-04
*/
import com.baomidou.mybatisplus.extension.service.IService;
import com.heyu.api.data.entity.system.SSystemEntity;
public interface SSystemService extends IService<SSystemEntity> {



	SSystemEntity selectSSystemById(Long id);


	Long insertSSystem(SSystemEntity sSystem);


	Long insertOrUpdateSSystem(SSystemEntity sSystem);


	int updateSSystemById(SSystemEntity sSystem);


	int updateCoverSSystemById(SSystemEntity sSystem);


	int deleteSSystemById(Long id);


}